lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'adopt_a_pet/version'

Gem::Specification.new do |spec|
  spec.name          = 'adopt_a_pet'
  spec.version       = AdoptAPet::VERSION
  spec.authors       = ['Stephen Dolan']
  spec.email         = ['stephen@stephencodes.com']

  spec.summary       = 'Interface with the Adopt-A-Pet API'
  spec.description   = 'Interface with the Adopt-A-Pet API'
  spec.homepage      = 'https://gitlab.com/stephendolan/adopt_a_pet_api'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 0.13.1'

  spec.add_development_dependency 'bundler',     '~> 1.14'
  spec.add_development_dependency 'rake',        '~> 10.0'
  spec.add_development_dependency 'rspec',       '~> 3.7'
  spec.add_development_dependency 'pry',         '~> 0.11.3'
  spec.add_development_dependency 'rb-readline', '~> 0.5.3'
end
